Package org.eclipse.net4j.util.ui.widgets

## Class TextAndDisable

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.net4j.util.ui.widgets.TextAndDisable

- All Implemented Interfaces:
    `java.util.EventListener`, `ModifyListener`, `SelectionListener`, `Drawable`, `org.eclipse.swt.internal.SWTEventListener`
  Direct Known Subclasses:
    `PrefIntegerAndDisable`, `PrefText`, `PrefTextAndDisable`

      public class TextAndDisable
      extends Composite
      implements SelectionListener, ModifyListener

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextAndDisable​(Composite parent, int textStyle, java.lang.String disabledValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addModifyListener​(ModifyListener listener)` |
    `void` | `addSelectionListener​(SelectionListener listener)` |
    `protected Button` | `createButton()` |
    `protected Text` | `createText​(int textStyle)` |
    `protected GridData` | `createTextLayoutData()` |
    `Button` | `getButton()` |
    `protected java.lang.String` | `getDisabledButtonText()` |
    `Text` | `getText()` |
    `java.lang.String` | `getValue()` |
    `boolean` | `isDisabled()` |
    `void` | `modifyText​(ModifyEvent e)` |
    `void` | `removeModifyListener​(ModifyListener listener)` |
    `void` | `removeSelectionListener​(SelectionListener listener)` |
    `void` | `setDisabled​(boolean disabled)` |
    `void` | `setValue​(java.lang.String value)` |
    `void` | `widgetDefaultSelected​(SelectionEvent e)` |
    `void` | `widgetSelected​(SelectionEvent e)` |

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### TextAndDisable

          public TextAndDisable​(Composite parent,
                                int textStyle,
                                java.lang.String disabledValue)

  - ### Method Detail

    - #### getDisabledButtonText

          protected java.lang.String getDisabledButtonText()

      Since:
        3.5

    - #### getText

          public Text getText()

    - #### getButton

          public Button getButton()

    - #### addModifyListener

          public void addModifyListener​(ModifyListener listener)

      Since:
        3.5

    - #### removeModifyListener

          public void removeModifyListener​(ModifyListener listener)

      Since:
        3.5

    - #### addSelectionListener

          public void addSelectionListener​(SelectionListener listener)

      Since:
        3.5

    - #### removeSelectionListener

          public void removeSelectionListener​(SelectionListener listener)

      Since:
        3.5

    - #### isDisabled

          public boolean isDisabled()

    - #### setDisabled

          public void setDisabled​(boolean disabled)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue​(java.lang.String value)

    - #### widgetDefaultSelected

          public void widgetDefaultSelected​(SelectionEvent e)

      Specified by:
        `widgetDefaultSelected` in interface `SelectionListener`

    - #### widgetSelected

          public void widgetSelected​(SelectionEvent e)

      Specified by:
        `widgetSelected` in interface `SelectionListener`

    - #### modifyText

          public void modifyText​(ModifyEvent e)

      Specified by:
        `modifyText` in interface `ModifyListener`

    - #### createText

          protected Text createText​(int textStyle)

    - #### createTextLayoutData

          protected GridData createTextLayoutData()

    - #### createButton

          protected Button createButton()